> For the complete documentation index, see [llms.txt](https://docs.turbine.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.turbine.exchange/reference/contracts/solidity-documentation/univ4-hook/interfaces/struct.batchsignaturetransferparams.md).

# BatchSignatureTransferParams

[Git Source](https://github.com/propeller-heads/turbine/blob/90514973167f1eb25cb9eb7756354fb3de34824d/src/univ4-hook/interfaces/ITurbineLiquidityRouter.sol)

Holds the Permit2 SignatureTransfer batch permit and signature for multiple token transfers.

Used for add-liquidity intents to authorize token0 and token1 transfers in one signature.

```solidity
struct BatchSignatureTransferParams {
/// @notice The permit data for a batch token transfer.
ISignatureTransfer.PermitBatchTransferFrom permit;
/// @notice The signature authorizing the transfer.
bytes signature;
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.turbine.exchange/reference/contracts/solidity-documentation/univ4-hook/interfaces/struct.batchsignaturetransferparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
